Skip to main content
`Ctrl`+`K`

# CompositeTransform

class astropy.coordinates.CompositeTransform(transforms, fromsys, tosys, priority=1, register_graph=None, collapse_static_mats=True)

  Bases: `CoordinateTransform`

  A transformation constructed by combining together a series of single-step transformations.

  Note that the intermediate frame objects are constructed using any frame attributes in `toframe` or `fromframe` that overlap with the intermediate frame (`toframe` favored over `fromframe` if there’s a conflict). Any frame attributes that are not present use the defaults.

  Parameters:
    transforms python:sequence of `CoordinateTransform` `object`

      The sequence of transformations to apply.

    fromsys class

      The coordinate frame class to start from.

    tosys class

      The coordinate frame class to transform into.

    priority `python:float` or `python:int`

      The priority if this transform when finding the shortest coordinate transform path - large numbers are lower priorities.

    register_graph `TransformGraph` or `python:None`

      A graph to register this transformation with on creation, or `None` to leave it unregistered.

    collapse_static_mats bool

      If `True`, consecutive `StaticMatrixTransform` will be collapsed into a single transformation to speed up the calculation.

  Methods Summary

  `__call__`(fromcoord, toframe) | Does the actual coordinate transformation from the `fromsys` class to the `tosys` class.

  Methods Documentation

  __call__(fromcoord, toframe)

    Does the actual coordinate transformation from the `fromsys` class to the `tosys` class.

    Parameters:
      fromcoord `BaseCoordinateFrame` subclass instance

        An object of class matching `fromsys` that is to be transformed.

      toframe `object`

        An object that has the attributes necessary to fully specify the frame. That is, it must have attributes with names that match the keys of the dictionary `tosys.frame_attributes`. Typically this is of class `tosys`, but it might be some other class as long as it has the appropriate attributes.

    Returns:
      tocoord `BaseCoordinateFrame` subclass instance

        The new coordinate after the transform has been applied.